Package csb :: Package bio :: Package fragments :: Class TorsionPredictionInfo

[frames] | no frames]

# Class TorsionPredictionInfo

source code

    object --+
             |
            TorsionPredictionInfo

Struct container for a single torsion angle prediction.

Instance Methods

__init__(self, rank, confidence, torsion, dssp, primary=False) x.__init__(...) initializes x; see help(type(x)) for signature | source code

__lt__(self, other) | source code

__str__(self) str(x) | source code

tuple

as_tuple(self) Returns: convert this prediction to a tuple: (confidence, phi, psi, omega) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, rank, confidence, torsion, dssp, primary=False)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `rank` (int) - target residue rank
  - `confidence` (float) - confidence of prediction
  - `torsion` (TorsionAngles) - assigned phi/psi/omega angles
  - `dssp` (SecondaryStructureElement) - assigned secondary structure
  - `primary` - if True, designates that the assigned angles are extracted from the ClusterRep at residue `#rank`; otherwise: the angles are coming from another, overlapping ClusterRep
Overrides: object.__init__
  (inherited documentation)

### __str__(self)
(Informal representation operator)

source code

str(x)

Overrides: object.__str__
  (inherited documentation)

### as_tuple(self)

source code

Returns: tuple
  convert this prediction to a tuple: (confidence, phi, psi, omega)